Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans.generator
Class WSDLInspector.Service

    java.lang.Object
      org.codehaus.xfire.xmlbeans.generator.WSDLInspector.Service

Enclosing class:
  WSDLInspector

    public class WSDLInspector.Service

extends java.lang.Object

Constructor Summary
`WSDLInspector.Service()`

Method Summary
`void` | `addMethod(WSDLInspector.ServiceMethod m)`
`javax.xml.namespace.QName` | `getBinding()`
`java.lang.String` | `getEncoding()`
`java.util.Set` | `getImports()`
`java.util.List` | `getMethods()`
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getPortType()`
`java.lang.String` | `getSoapVersion()`
`java.lang.String` | `getUrl()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`
`boolean` | `isRest()`
`void` | `setBinding(javax.xml.namespace.QName binding)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setMethods(java.util.List methods)`
`void` | `setName(java.lang.String name)`
`void` | `setPortType(javax.xml.namespace.QName portType)`
`void` | `setRest(boolean isRest)`
`void` | `setSoapVersion(java.lang.String soapVersion)`
`void` | `setUrl(java.lang.String url)`
`void` | `setXmlObject(org.apache.xmlbeans.XmlObject xmlObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLInspector.Service

    public WSDLInspector.Service()

Method Detail

### getImports

    public java.util.Set getImports()

### getSoapVersion

    public java.lang.String getSoapVersion()

### setSoapVersion

    public void setSoapVersion(java.lang.String soapVersion)

### isRest

    public boolean isRest()

### setRest

    public void setRest(boolean isRest)

### getPortType

    public javax.xml.namespace.QName getPortType()

### setPortType

    public void setPortType(javax.xml.namespace.QName portType)

### getBinding

    public javax.xml.namespace.QName getBinding()

### setBinding

    public void setBinding(javax.xml.namespace.QName binding)

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

### setXmlObject

    public void setXmlObject(org.apache.xmlbeans.XmlObject xmlObject)

### addMethod

    public void addMethod(WSDLInspector.ServiceMethod m)

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### getMethods

    public java.util.List getMethods()

### setMethods

    public void setMethods(java.util.List methods)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.